<?php 
if ($_GET['pass']!="erd67HY") {exit;}
$empresa = $_GET['cod_emp'];

require('../conexion.php');
ini_set("max_execution_time", "0");

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion

echo '<vehiculos>';

//$sql="SELECT * FROM vehiculo1 WHERE NOPUBLICARWEB='0' ORDER BY ORDENWEB ASC";
$sql="SELECT * FROM vehiculo1 AS a INNER JOIN VEHIEMP_PUB AS b ON a.CODIINT=b.CODVEHI WHERE a.NOPUBLICARWEB='0' AND b.CODEMP='$empresa' ORDER BY ORDENWEB ASC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
while ($row = odbc_fetch_array($result)) {
	
echo '<vehiculo>';	

echo '<codigo_coche>'.$row['CODIINT'].'</codigo_coche>';
echo '<matricula>'.$row['MATRICULA'].'</matricula>';
echo '<marca>'.$row['MARCA'].'</marca>';
echo '<modelo>'.$row['MODELO'].'</modelo>';
echo '<grupo>'.$row['GRUPO'].'</grupo>';

$id_servicio = $row['ID_TSER'];
$id_desc = $row['ID_DES'];
$id_nombre = $row['ID_NOM'];

$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE ID_REG='$id_servicio' ORDER BY IDIOMA ASC";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	
	if ($fila['IDIOMA']==1 && $fila['TRADUCCION']!="") {
		echo '<servicio_es>'.$fila['TRADUCCION'].'</servicio_es>';
	}
	elseif ($fila['IDIOMA']==2 && $fila['TRADUCCION']!="") {
		echo '<servicio_en>'.$fila['TRADUCCION'].'</servicio_en>';
	}
	elseif ($fila['IDIOMA']==3 && $fila['TRADUCCION']!="") {
		echo '<servicio_fr>'.$fila['TRADUCCION'].'</servicio_fr>';
	}
	
}

$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE ID_REG='$id_desc' ORDER BY IDIOMA ASC";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	
	if ($fila['IDIOMA']==1 && $fila['TRADUCCION']!="") {
		echo '<desc_es>'.$fila['TRADUCCION'].'</desc_es>';
	}
	elseif ($fila['IDIOMA']==2 && $fila['TRADUCCION']!="") {
		echo '<desc_en>'.$fila['TRADUCCION'].'</desc_en>';
	}
	elseif ($fila['IDIOMA']==3 && $fila['TRADUCCION']!="") {
		echo '<desc_fr>'.$fila['TRADUCCION'].'</desc_fr>';
	}
	
}


$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE ID_REG='$id_nombre' ORDER BY IDIOMA ASC";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	
	if ($fila['IDIOMA']==1 && $fila['TRADUCCION']!="") {
		echo '<nombre_es>'.$fila['TRADUCCION'].'</nombre_es>';
	}
	elseif ($fila['IDIOMA']==2 && $fila['TRADUCCION']!="") {
		echo '<nombre_en>'.$fila['TRADUCCION'].'</nombre_en>';
	}
	elseif ($fila['IDIOMA']==3 && $fila['TRADUCCION']!="") {
		echo '<nombre_fr>'.$fila['TRADUCCION'].'</nombre_fr>';
	}
	
}
echo '<orden>'.$row['ORDENWEB'].'</orden>';	
echo '</vehiculo>';	
}

//$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE ID_REG='17'";
//$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($results,"border=1");
	

	echo '</vehiculos>';
?>